Cyberduck Mountain Duck CLI

#3931 closed defect (duplicate)

Cyberduck 3.3 lost AppleScript scriptability--due to the info.plist mistake

Reported by: maro@… Owned by: dkocher
Priority: highest Milestone:
Component: applescript Version: 3.3
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

Cyberduck was a scriptable application. v3.2.1 was scriptable.

But v.3.3 does not. I AppleScript Editor does not recognize Cyberduck AppleScript-able app.

I checked Cyberduck's bundle package. There is sdef file! But Info.plist says "I'm not scriptable app".

Just fix the "NSAppleScriptEnabled" entry in info.plist. If the entry is repaired, current version of Cuberduck will get back scriptability.

--- Takaaki Naganoya Piyomaru Software

Change History (2)

comment:1 Changed on Nov 19, 2009 at 1:28:28 PM by dkocher

  • Resolution set to duplicate
  • Status changed from new to closed

Duplicate for #3705. AppleScript support needs to be reimplemented. NSAppleScriptEnabled is intentionally missing.

comment:2 Changed on Jan 1, 2010 at 8:45:04 PM by gavinyoung@…

Fixing the info.plist file only makes Cyberduck recognizable by Applescript Editor as a dictionary, but does not fix the issue of no applescript support. It still doesn't work (and is needed badly!)

Note: See TracTickets for help on using tickets.
swiss made software